<?php
/*
  e107 website system
  http://e107.org

  NET/IP Filter

  $Revision: 494 $
  $Date: 2007-09-08 02:48:34 +0300 (събота, 08 Септември 2007) $
  $Author: sharkydog $
  Website: http://www.sharkydog.info
  E-mail: sharkydog@e107bg.org
*/

if (!defined('e107_INIT')) { exit; }

if(file_exists(e_PLUGIN."netip_filter/lng/".e_LANGUAGE.".php")) include_once(e_PLUGIN."netip_filter/lng/".e_LANGUAGE.".php");
else include_once(e_PLUGIN."netip_filter/lng/English.php");

$eplug_name = NIPF_TITLE;
$eplug_version = "1.2";
$eplug_author = "SharkyDog";
$eplug_logo = "img/nipf_32x32.png";
$eplug_url = "http://www.sharkydog.info/";
$eplug_email = "sharkydog@e107bg.org";
$eplug_description = NIPF_DESCR;
$eplug_compatible = "e107 v0.77+";
$eplug_readme = "";

$eplug_folder = "netip_filter";

$eplug_conffile = "admin_config.php";

$eplug_icon = $eplug_folder."/img/nipf_32x32.png";
$eplug_icon_small = $eplug_folder."/img/nipf_16x16.png";
$eplug_caption =  NIPF_ADM_CONF;

$eplug_prefs = array(
  "nipf_version"=>$eplug_version,
  "nipf_active"=>1,
  "nipf_ent_pp"=>20,
  "nipf_reset_event"=>1,
  "nipf_nf_type"=>"all-list",
  "nipf_pre_nftype"=>array(),
  "nipf_eevts"=>"",
  "nipf_def_deny_mess"=>""
);

$eplug_table_names = array(
  "nipf_ipfilter",
  "nipf_netfilter",
  "nipf_events"
);

$eplug_tables = array(
"CREATE TABLE ".MPREFIX."nipf_ipfilter (
  ipf_id int(10) unsigned NOT NULL auto_increment,
  ipf_ip varchar(15) NOT NULL default '',
  ipf_info text NOT NULL,
  ipf_action enum('none','allow','deny') NOT NULL default 'none',
  ipf_event text NOT NULL,
  ipf_denymess text NOT NULL,
  PRIMARY KEY (ipf_id)
)TYPE=MyISAM;",

"CREATE TABLE ".MPREFIX."nipf_netfilter (
  nf_id int(10) unsigned NOT NULL auto_increment,
  nf_bitmask varchar(2) NOT NULL default '',
  nf_netmask varchar(15) NOT NULL default '',
  nf_network varchar(15) NOT NULL default '',
  nf_broadcast varchar(15) NOT NULL default '',
  nf_netlong int(10) unsigned NOT NULL default '0',
  nf_bcastlong int(10) unsigned NOT NULL default '0',
  nf_netname varchar(100) NOT NULL default '',
  nf_addinfo text NOT NULL,
  nf_active enum('y','n') NOT NULL default 'n',
  nf_event text NOT NULL,
  nf_denymess text NOT NULL,
  PRIMARY KEY (nf_id)
)TYPE=MyISAM;",

"CREATE TABLE ".MPREFIX."nipf_events (
  evt_id int(10) unsigned NOT NULL auto_increment,
  evt_event varchar(30) NOT NULL default '',
  evt_nftype varchar(10) NOT NULL default '".$eplug_prefs["nipf_nf_type"]."',
  evt_desc text NOT NULL,
  PRIMARY KEY (evt_id)
)TYPE=MyISAM;"
);

$eplug_link = FALSE;
$eplug_link_name = "";
$eplug_link_url = "";

$eplug_done = NIPF_INST_DONE;
$eplug_upgrade_done = NIPF_UPG_DONE;

if($pref["nipf_version"]=="1.1") {

$upgrade_alter_tables = "";
$upgrade_add_prefs = array(
  "nipf_version"=>$eplug_version
);

} else {

$upgrade_alter_tables = array(
"ALTER TABLE ".MPREFIX."nipf_ipfilter MODIFY ipf_event text NOT NULL;",
"ALTER TABLE ".MPREFIX."nipf_netfilter MODIFY nf_event text NOT NULL;",
"ALTER TABLE ".MPREFIX."nipf_events ADD evt_nftype varchar(10) NOT NULL default '".$eplug_prefs["nipf_nf_type"]."' AFTER evt_event;",
"UPDATE ".MPREFIX."nipf_events SET evt_nftype='".($pref["nipf_nf_type"] ? $pref["nipf_nf_type"] : $eplug_prefs["nipf_nf_type"])."';",
"ALTER TABLE ".MPREFIX."nipf_netfilter ADD nf_active enum('y','n') NOT NULL default 'n' AFTER nf_addinfo;",
"UPDATE ".MPREFIX."nipf_netfilter SET nf_active='y' WHERE nf_action!='none';",
"UPDATE ".MPREFIX."nipf_netfilter SET nf_active='n' WHERE nf_action='none';",
"ALTER TABLE ".MPREFIX."nipf_netfilter DROP nf_action;"
);
$upgrade_add_prefs = array(
  "nipf_version"=>$eplug_version,
  "nipf_eevts"=>"",
  "nipf_pre_nftype"=>array()
);

}
?>